## API Report File for "3d-tiles-validator"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="node" />

// @beta
export class ValidationIssue {
    // @internal
    constructor(type: string, path: string, message: string, severity: ValidationIssueSeverity);
    // @internal
    addCause(cause: ValidationIssue): void;
    get causes(): readonly ValidationIssue[];
    get message(): string;
    get path(): string;
    // @internal
    serialize(): string;
    get severity(): ValidationIssueSeverity;
    // @internal
    toJson(): any;
    get type(): string;
}

// @beta
export type ValidationIssueFilter = (issuesStack: ValidationIssue[]) => boolean;

// @beta
export class ValidationIssueFilters {
    static byExcludedTypes(...excludedTypes: string[]): ValidationIssueFilter;
    static byIncludedSeverities(...includedServerities: ValidationIssueSeverity[]): ValidationIssueFilter;
}

// @beta
export enum ValidationIssueSeverity {
    ERROR = "ERROR",
    INFO = "INFO",
    WARNING = "WARNING"
}

// @beta
export class ValidationResult {
    // @internal
    add(issue: ValidationIssue): void;
    // @internal
    static create(): ValidationResult;
    filter(includePredicate: ValidationIssueFilter): ValidationResult;
    get(index: number): ValidationIssue;
    get issues(): readonly ValidationIssue[];
    get length(): number;
    // @internal
    get numErrors(): number;
    // @internal
    get numInfos(): number;
    // @internal
    get numWarnings(): number;
    serialize(): string;
    // @internal
    toJson(): any;
}

// @beta
export class Validators {
    // @internal
    static createContentValidationWarning(message: string): Validator<Buffer>;
    // Warning: (ae-forgotten-export) The symbol "SchemaValidator" needs to be exported by the entry point index.d.ts
    //
    // @internal
    static createDefaultSchemaValidator(): SchemaValidator;
    // Warning: (ae-forgotten-export) The symbol "ValidationState" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "TileImplicitTiling" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "SubtreeValidator" needs to be exported by the entry point index.d.ts
    //
    // @internal
    static createDefaultSubtreeValidator(uri: string, validationState: ValidationState, implicitTiling: TileImplicitTiling | undefined): SubtreeValidator;
    // Warning: (ae-forgotten-export) The symbol "TilesetValidator" needs to be exported by the entry point index.d.ts
    //
    // @internal
    static createDefaultTilesetValidator(): TilesetValidator;
    // @internal
    static createEmptyValidator<T>(): Validator<T>;
    // Warning: (ae-forgotten-export) The symbol "Validator" needs to be exported by the entry point index.d.ts
    //
    // @internal
    static parseFromBuffer<T>(delegate: Validator<T>): Validator<Buffer>;
    // @internal
    static validateSchemaFile(filePath: string): Promise<ValidationResult>;
    // @internal
    static validateSubtreeFile(filePath: string, validationState: ValidationState, implicitTiling: TileImplicitTiling | undefined): Promise<ValidationResult>;
    static validateTilesetFile(filePath: string): Promise<ValidationResult>;
}

// (No @packageDocumentation comment for this package)

```
