/// <reference types="node" />
import { IndexEntry } from "./IndexEntry";
import { TilesetArchive } from "./TilesetArchive";
/**
 * Implementation of a TilesetArchive based on a 3TZ file.
 */
export declare class TilesetArchive3tz implements TilesetArchive {
    /**
     * The file descriptor that was created from the input file
     */
    private fd;
    /**
     * The ZIP index.
     *
     * This is created from the `"@3dtilesIndex1@"` file of an archive.
     *
     * It is an array if `IndexEntry` objects, sorted by the MD5 hash,
     * in ascending order.
     */
    private zipIndex;
    /**
     * Default constructor
     */
    constructor();
    getZipIndex(): IndexEntry[] | undefined;
    open(fullInputName: string): void;
    getKeys(): IterableIterator<string>;
    getEntry(key: string): Buffer | undefined;
    close(): void;
}
//# sourceMappingURL=TilesetArchive3tz.d.ts.map