/// <reference types="node" />
import { TilesetArchiveBuilder } from "./TilesetArchiveBuilder";
/**
 * Implementation of a TilesetArchiveBuilder that creates a
 * 3TZ file.
 */
export declare class TilesetArchiveBuilder3tz implements TilesetArchiveBuilder {
    /**
     * The stream that the data is written to
     */
    private outputStream;
    /**
     * The archive object
     */
    private archive;
    /**
     * The index builder that will be used to generate
     * the `"@3dtilesIndex1@"` file for the archive.
     */
    private readonly indexBuilder;
    /**
     * Default constructor
     */
    constructor();
    begin(fullOutputName: string, overwrite: boolean): void;
    addEntry(key: string, content: Buffer): void;
    end(): Promise<void>;
}
//# sourceMappingURL=TilesetArchiveBuilder3tz.d.ts.map