/// <reference types="node" />
import { TilesetArchiveBuilder } from "./TilesetArchiveBuilder";
/**
 * Implementation of a TilesetArchiveBuilder that writes into
 * a directory of a file system
 */
export declare class TilesetArchiveBuilderFs implements TilesetArchiveBuilder {
    /**
     * The name of the output directory
     */
    private fullOutputName;
    /**
     * Whether output files should be overwritten if they
     * already exist.
     */
    private overwrite;
    /**
     * Default constructor
     */
    constructor();
    begin(fullOutputName: string, overwrite: boolean): void;
    addEntry(key: string, content: Buffer): void;
    end(): Promise<void>;
}
//# sourceMappingURL=TilesetArchiveBuilderFs.d.ts.map