"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TilesetArchiveBuilders = void 0;
const TilesetArchiveBuilder3dtiles_1 = require("./TilesetArchiveBuilder3dtiles");
const TilesetArchiveBuilder3tz_1 = require("./TilesetArchiveBuilder3tz");
const TilesetArchiveBuilderFs_1 = require("./TilesetArchiveBuilderFs");
class TilesetArchiveBuilders {
    /**
     * Creates a TilesetArchiveBuilder, based on the given
     * file extension
     *
     * @param extension - The extension: '.3tz' or '.3dtiles'
     * or the empty string (for a directory)
     * @returns The TilesetArchiveBuilder, or `undefined` if the
     * extension is invalid
     */
    static create(extension) {
        if (extension === ".3tz") {
            return new TilesetArchiveBuilder3tz_1.TilesetArchiveBuilder3tz();
        }
        if (extension === ".3dtiles") {
            return new TilesetArchiveBuilder3dtiles_1.TilesetArchiveBuilder3dtiles();
        }
        if (extension === "") {
            return new TilesetArchiveBuilderFs_1.TilesetArchiveBuilderFs();
        }
        console.log("Unknown archive type: " + extension);
        return undefined;
    }
}
exports.TilesetArchiveBuilders = TilesetArchiveBuilders;
