"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TilesetArchiveError = void 0;
/**
 * An error that may be thrown to indicate that an invalid
 * operation was performed on a tileset archive.
 */
class TilesetArchiveError extends Error {
    constructor(message) {
        super(message);
        this.toString = () => {
            return `${this.name}: ${this.message}`;
        };
        // See https://github.com/Microsoft/TypeScript/wiki/Breaking-Changes
        // #extending-built-ins-like-error-array-and-map-may-no-longer-work
        Object.setPrototypeOf(this, TilesetArchiveError.prototype);
    }
}
exports.TilesetArchiveError = TilesetArchiveError;
