"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TilesetArchives = void 0;
const TilesetArchive3dtiles_1 = require("./TilesetArchive3dtiles");
const TilesetArchive3tz_1 = require("./TilesetArchive3tz");
const TilesetArchiveFs_1 = require("./TilesetArchiveFs");
/**
 * Methods related to tileset archives
 */
class TilesetArchives {
    /**
     * Creates a TilesetArchive, based on the given
     * file extension
     *
     * @param extension - The extension: '.3tz' or '.3dtiles'
     * or the empty string (for a directory)
     * @returns The TilesetArchive, or `undefined` if the extension
     * is invalid
     */
    static create(extension) {
        if (extension === ".3tz") {
            return new TilesetArchive3tz_1.TilesetArchive3tz();
        }
        if (extension === ".3dtiles") {
            return new TilesetArchive3dtiles_1.TilesetArchive3dtiles();
        }
        if (extension === "") {
            return new TilesetArchiveFs_1.TilesetArchiveFs();
        }
        console.log("Unknown archive type: " + extension);
        return undefined;
    }
}
exports.TilesetArchives = TilesetArchives;
