"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultValue = void 0;
/**
 * Returns the first parameter if not undefined, otherwise the second parameter.
 * Useful for setting a default value for a parameter.
 *
 * @param a - The first parameter
 * @param b - The second parameter
 * @returns Returns the first parameter if not undefined, otherwise the second parameter.
 */
function defaultValue(a, b) {
    if (a !== undefined && a !== null) {
        return a;
    }
    return b;
}
exports.defaultValue = defaultValue;
