"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isGzipped = void 0;
/**
 * Returns whether the given buffer starts with the two magic bytes
 * that indicate that it contains GZIPped data.
 *
 * @param buffer - The buffer
 * @returns Whether the buffer is GZIPped data
 */
function isGzipped(buffer) {
    if (buffer.length < 2) {
        return false;
    }
    const result = buffer[0] === 0x1f && buffer[1] === 0x8b;
    return result;
}
exports.isGzipped = isGzipped;
