"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.relativizePath = void 0;
const path_1 = __importDefault(require("path"));
/**
 * Relativize the given path against the given directory.
 *
 * This will return the relative portion of the given full path,
 * referring to the directory. The result will be normalized and
 * backslashes (from Windows) will be replaced with slashes.
 *
 * @param directory - The directory
 * @param fullPath - The full path
 * @returns The relativized path as a string
 */
function relativizePath(directory, fullPath) {
    const relativePath = path_1.default
        .normalize(path_1.default.relative(directory, fullPath))
        .replace(/\\/g, "/");
    return relativePath;
}
exports.relativizePath = relativizePath;
