"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bufferToJson = void 0;
/**
 * Converts a buffer containing a utf-8 encoded JSON string to a JSON object.
 * If the buffer is undefined or empty, then an empty object will be returned.
 *
 * @param buffer - The buffer.
 * @returns A JSON object.
 */
function bufferToJson(buffer) {
    if (!buffer) {
        return {};
    }
    if (buffer.length === 0) {
        return {};
    }
    const s = buffer.toString();
    return JSON.parse(s);
}
exports.bufferToJson = bufferToJson;
