"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.globMatcher = void 0;
const minimatch_1 = __importDefault(require("minimatch"));
/**
 * Returns a function that receives a string, and returns whether
 * the string matches the given glob
 *
 * @param glob - The glob expression
 * @param ignoreCase - Whether the matching should be case-insensitive
 * @returns The matcher
 */
function globMatcher(glob, ignoreCase = true) {
    const Minimatch = minimatch_1.default.Minimatch;
    const mm = new Minimatch(glob, { nocase: ignoreCase });
    return (s) => mm.match(s);
}
exports.globMatcher = globMatcher;
