"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeUnchecked = void 0;
const fs_1 = __importDefault(require("fs"));
/**
 * Only for internal use:
 *
 * Writes the given string to the given file.
 * If the file cannot be written, then an error
 * message will be printed.
 *
 * @param filePath - The path to the file
 * @param data - The string
 * @returns A promise that resolves when the data is written
 */
async function writeUnchecked(filePath, data) {
    try {
        fs_1.default.writeFileSync(filePath, data, "utf8");
    }
    catch (error) {
        console.log(error);
    }
}
exports.writeUnchecked = writeUnchecked;
