"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BooleanPropertyModel = void 0;
const NumericBuffers_1 = require("./NumericBuffers");
/**
 * Implementation of a `PropertyModel` for booleans
 *
 * @internal
 */
class BooleanPropertyModel {
    constructor(valuesBuffer) {
        this._valuesBuffer = valuesBuffer;
    }
    getPropertyValue(index) {
        const valuesBuffer = this._valuesBuffer;
        const result = BooleanPropertyModel.getBooleanFromBuffer(valuesBuffer, index);
        return result;
    }
    static getBooleanFromBuffer(buffer, index) {
        const byteIndex = Math.floor(index / 8);
        const bitIndex = index % 8;
        const byte = NumericBuffers_1.NumericBuffers.getNumericFromBuffer(buffer, byteIndex, "UINT8");
        const bit = 1 << bitIndex;
        const result = (byte & bit) !== 0;
        return result;
    }
}
exports.BooleanPropertyModel = BooleanPropertyModel;
