/// <reference types="node" />
import { PropertyModel } from "./PropertyModel";
/**
 * Implementation of a `PropertyModel` for numeric array types.
 *
 * This includes all types that have numeric component types,
 * i.e. the `SCALAR`, `VECn` and `MATn` types, and the
 * (binary, and therefore numeric) representation of `ENUM`.
 *
 * @internal
 */
export declare class NumericArrayPropertyModel implements PropertyModel {
    private readonly _type;
    private readonly _valuesBuffer;
    private readonly _componentType;
    private readonly _arrayOffsetsBuffer;
    private readonly _arrayOffsetType;
    private readonly _count;
    constructor(type: string, valuesBuffer: Buffer, componentType: string, arrayOffsetsBuffer: Buffer | undefined, arrayOffsetType: string, count: number | undefined);
    getPropertyValue(index: number): any;
}
//# sourceMappingURL=NumericArrayPropertyModel.d.ts.map