/// <reference types="node" />
import { PropertyModel } from "./PropertyModel";
/**
 * Implementation of a `PropertyModel` for numeric types.
 *
 * This includes all types that have numeric component types,
 * i.e. the `SCALAR`, `VECn` and `MATn` types, and the
 * (binary, and therefore numeric) representation of `ENUM`.
 *
 * @internal
 */
export declare class NumericPropertyModel implements PropertyModel {
    private readonly _type;
    private readonly _valuesBuffer;
    private readonly _componentType;
    constructor(type: string, valuesBuffer: Buffer, componentType: string);
    getPropertyValue(index: number): any;
}
//# sourceMappingURL=NumericPropertyModel.d.ts.map