<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [3d-tiles-validator](./3d-tiles-validator.md) &gt; [ValidationIssue](./3d-tiles-validator.validationissue.md)

## ValidationIssue class

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

A class summarizing the information about an issue that was encountered during the validation process.

<b>Signature:</b>

```typescript
export declare class ValidationIssue 
```

## Remarks

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `ValidationIssue` class.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [causes](./3d-tiles-validator.validationissue.causes.md) | <code>readonly</code> | readonly [ValidationIssue](./3d-tiles-validator.validationissue.md)<!-- -->\[\] | <b><i>(BETA)</i></b> Returns a read-only view of all issues that eventually caused this issue (this may be an empty array). |
|  [message](./3d-tiles-validator.validationissue.message.md) | <code>readonly</code> | string | <p><b><i>(BETA)</i></b> Returns the human-readable message that describes the issue.</p><p>This contains further details about the issue, often with information that indicates how to resolve the issue.</p> |
|  [path](./3d-tiles-validator.validationissue.path.md) | <code>readonly</code> | string | <p><b><i>(BETA)</i></b> Returns the path leading to the element that caused the issue.</p><p>This resembles a "JSON path", but may contain elements that go outside of the actual containing JSON (for example, it may contain the name of a tile content file)</p> |
|  [severity](./3d-tiles-validator.validationissue.severity.md) | <code>readonly</code> | [ValidationIssueSeverity](./3d-tiles-validator.validationissueseverity.md) | <b><i>(BETA)</i></b> Returns the severity of this issue |
|  [type](./3d-tiles-validator.validationissue.type.md) | <code>readonly</code> | string | <p><b><i>(BETA)</i></b> Returns the type of this issue.</p><p>This is a an identifier for the type of the issue, in <code>UPPER_SNAKE_CASE</code>, describing what caused the issue.</p> |

