"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConstantAvailabilityInfo = void 0;
/**
 * Implementation of an `AvailabilityInfo` that has a constant value.
 */
class ConstantAvailabilityInfo {
    constructor(available, length) {
        this._available = available;
        this._length = length;
    }
    get length() {
        return this._length;
    }
    isAvailable(index) {
        if (index < 0 || index >= this.length) {
            throw new RangeError(`Index must be in [0,${this.length}), but is ${index}`);
        }
        return this._available;
    }
}
exports.ConstantAvailabilityInfo = ConstantAvailabilityInfo;
