"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImplicitTilingError = void 0;
/**
 * An error that indicates that implicit tiling data was structurally
 * invalid.
 *
 * This may be thrown by methods that create the convenience classes
 * for this package, when the given resources are not valid.
 */
class ImplicitTilingError extends Error {
    constructor(message) {
        super(message);
        this.toString = () => {
            return `${this.name}: ${this.message}`;
        };
        // See https://github.com/Microsoft/TypeScript/wiki/Breaking-Changes
        // #extending-built-ins-like-error-array-and-map-may-no-longer-work
        Object.setPrototypeOf(this, ImplicitTilingError.prototype);
    }
}
exports.ImplicitTilingError = ImplicitTilingError;
