import { TreeCoordinates } from "./TreeCoordinates";
/**
 * An implementation of `TreeCoordinates` for octrees
 */
export declare class OctreeCoordinates implements TreeCoordinates {
    private readonly _level;
    private readonly _x;
    private readonly _y;
    private readonly _z;
    constructor(level: number, x: number, y: number, z: number);
    get level(): number;
    get x(): number;
    get y(): number;
    get z(): number;
    parent(): OctreeCoordinates | null;
    children(): IterableIterator<OctreeCoordinates>;
    descendants(maxLevelInclusive: number, depthFirst?: boolean): IterableIterator<OctreeCoordinates>;
    toArray(): number[];
    toIndex(): number;
    toIndexInLevel(): number;
    toString: () => string;
}
//# sourceMappingURL=OctreeCoordinates.d.ts.map