import { OctreeCoordinates } from "./OctreeCoordinates";
export declare class Octrees {
    /**
     * Computes the number of nodes of an octree with the given number of
     * levels.
     *
     * @param levels - The number of levels
     * @returns The number of nodes
     */
    static computeNumberOfNodesForLevels(levels: number): number;
    /**
     * Returns a generator over all coordinates in the given level.
     *
     * @param level - The level
     * @returns The coordinates
     */
    static coordinatesForLevel(level: number): Generator<OctreeCoordinates, void, unknown>;
    /**
     * Returns whether the given coordinates are valid. This means
     * that the x, y, and z components are in the range that is
     * determined by the level of the coordinates.
     *
     * @param c - The coordinates
     * @returns Whether the coordinates are valid
     */
    static isValid(c: OctreeCoordinates): boolean;
}
//# sourceMappingURL=Octrees.d.ts.map