import { TreeCoordinates } from "./TreeCoordinates";
/**
 * An implementation of `TreeCoordinates` for octrees
 */
export declare class QuadtreeCoordinates implements TreeCoordinates {
    private readonly _level;
    private readonly _x;
    private readonly _y;
    constructor(level: number, x: number, y: number);
    get level(): number;
    get x(): number;
    get y(): number;
    parent(): QuadtreeCoordinates | null;
    children(): IterableIterator<QuadtreeCoordinates>;
    descendants(maxLevelInclusive: number, depthFirst?: boolean): IterableIterator<QuadtreeCoordinates>;
    toArray(): number[];
    toIndex(): number;
    toIndexInLevel(): number;
    toString: () => string;
}
//# sourceMappingURL=QuadtreeCoordinates.d.ts.map