import { AvailabilityInfo } from "./AvailabilityInfo";
/**
 * Summarizes the information about a subtree.
 *
 * It offers the availability information for tiles, child
 * subtrees, and contents, as `AvailabilityInfo` objects.
 */
export declare class SubtreeInfo {
    private readonly _tileAvailabilityInfo;
    private readonly _contentAvailabilityInfos;
    private readonly _childSubtreeAvailabilityInfo;
    constructor(tileAvailabilityInfo: AvailabilityInfo, contentAvailabilityInfos: AvailabilityInfo[], childSubtreeAvailabilityInfo: AvailabilityInfo);
    getTileAvailabilityInfo(): AvailabilityInfo;
    getContentAvailabilityInfos(): AvailabilityInfo[];
    getChildSubtreeAvailabilityInfo(): AvailabilityInfo;
}
//# sourceMappingURL=SubtreeInfo.d.ts.map