"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubtreeInfo = void 0;
/**
 * Summarizes the information about a subtree.
 *
 * It offers the availability information for tiles, child
 * subtrees, and contents, as `AvailabilityInfo` objects.
 */
class SubtreeInfo {
    constructor(tileAvailabilityInfo, contentAvailabilityInfos, childSubtreeAvailabilityInfo) {
        (this._tileAvailabilityInfo = tileAvailabilityInfo),
            (this._contentAvailabilityInfos = contentAvailabilityInfos),
            (this._childSubtreeAvailabilityInfo = childSubtreeAvailabilityInfo);
    }
    getTileAvailabilityInfo() {
        return this._tileAvailabilityInfo;
    }
    getContentAvailabilityInfos() {
        return this._contentAvailabilityInfos;
    }
    getChildSubtreeAvailabilityInfo() {
        return this._childSubtreeAvailabilityInfo;
    }
}
exports.SubtreeInfo = SubtreeInfo;
