/// <reference types="node" />
import { ResourceResolver } from "./ResourceResolver";
/**
 * Implementation of a `ResourceResolver` based on a `TilesetArchive`
 *
 * @internal (Instantiated by the `ResourceResolvers` class)
 */
export declare class ArchiveResourceResolver implements ResourceResolver {
    private readonly _basePath;
    private readonly _archiveFileName;
    private readonly _archive;
    constructor(basePath: string, archiveFileName: string, archive: any);
    resolveUri(uri: string): string;
    resolveData(uri: string): Promise<Buffer | null>;
    resolveDataPartial(uri: string, maxBytes: number): Promise<Buffer | null>;
    derive(uri: string): ResourceResolver;
}
//# sourceMappingURL=ArchiveResourceResolver.d.ts.map