/// <reference types="node" />
/**
 * Methods to determine resource type from buffer data.
 */
export declare class ResourceTypes {
    static isGzipped(buffer: Buffer): boolean;
    /**
     * Returns the magic header of the given buffer, as a string.
     *
     * This is a string that consists of the first 4 bytes of
     * the buffer data, or fewer bytes if the buffer has less
     * than 4 bytes.
     *
     * @param buffer - The buffer
     * @returns The magic header
     */
    static getMagic(buffer: Buffer): string;
    static startsWith(buffer: Buffer, magic: string): boolean;
    static isSubt(buffer: Buffer): boolean;
    static isGlb(buffer: Buffer): boolean;
    static isProbablyJson(buffer: Buffer): boolean;
}
//# sourceMappingURL=ResourceTypes.d.ts.map