/// <reference types="node" />
import { ResourceResolver } from "./ResourceResolver";
/**
 * Implementation of a `ResourceResolver` that obtains the resource
 * data from a delegate, and unzips the data if necessary.
 *
 * @internal (Instantiated by the `ResourceResolvers` class)
 */
export declare class UnzippingResourceResolver implements ResourceResolver {
    private readonly _delegate;
    constructor(delegate: ResourceResolver);
    resolveUri(uri: string): string;
    resolveData(uri: string): Promise<Buffer | null>;
    resolveDataPartial(uri: string, maxBytes: number): Promise<Buffer | null>;
    derive(uri: string): ResourceResolver;
}
//# sourceMappingURL=UnzippingResourceResolver.d.ts.map