import { ValidationIssue } from "../validation/ValidationIssue";
/**
 * Methods to create `ValidationIssue` instances that describe
 * issues on the level of input/output operations.
 */
export declare class IoValidationIssues {
    /**
     * Indicates that a required input could not be read.
     *
     * @param path - The path for the `ValidationIssue`
     * @param message - The message for the `ValidationIssue`
     * @returns The `ValidationIssue`
     */
    static IO_ERROR(path: string, message: string): ValidationIssue;
    /**
     * Indicates that a required input could not be read.
     *
     * @param path - The path for the `ValidationIssue`
     * @param message - The message for the `ValidationIssue`
     * @returns The `ValidationIssue`
     */
    static IO_WARNING(path: string, message: string): ValidationIssue;
    /**
     * Indicates that an input that was expected to contain
     * JSON data could not be parsed.
     *
     * @param path - The path for the `ValidationIssue`
     * @param message - The message for the `ValidationIssue`
     * @returns The `ValidationIssue`
     */
    static JSON_PARSE_ERROR(path: string, message: string): ValidationIssue;
}
//# sourceMappingURL=IoValidationIssue.d.ts.map