import { MetadataEntityModel } from "./MetadataEntityModel";
import { MetadataClass } from "../structure/Metadata/MetadataClass";
/**
 * Default implementation of a `MetadataEntityModel` that is backed
 * by the JSON representation of the metadata.
 *
 * (The JSON representation are just the `metadataEntity.properties`
 * from the input JSON)
 *
 * @internal
 */
export declare class DefaultMetadataEntityModel implements MetadataEntityModel {
    private readonly _metadataClass;
    private readonly _json;
    private readonly _semanticToPropertyId;
    constructor(metadataClass: MetadataClass, semanticToPropertyId: {
        [key: string]: string;
    }, json: any);
    getPropertyValue(propertyId: string): any;
    getPropertyValueBySemantic(semantic: string): any;
}
//# sourceMappingURL=DefaultMetadataEntityModel.d.ts.map