/// <reference types="node" />
import { Validator } from "../validation/Validator";
import { ValidationContext } from "../validation/ValidationContext";
/**
 * A thin wrapper around the `gltf-validator`, implementing the
 * `Validator` interface for glTF- and GLB data that is given
 * in a Buffer.
 */
export declare class GltfValidator implements Validator<Buffer> {
    /**
     * Creates a `ValidationIssue` object for the given 'message' object
     * that appears in the output of the glTF validator.
     *
     * @param gltfMessage - The glTF validator message
     * @returns The `ValidationIssue`
     */
    private static createValidationIssueFromGltfMessage;
    validateObject(uri: string, input: Buffer, context: ValidationContext): Promise<boolean>;
}
//# sourceMappingURL=GltfValidator.d.ts.map