import { ValidationContext } from "./ValidationContext";
import { Asset } from "../structure/Asset";
/**
 * A class for validations related to `asset` objects.
 *
 * @internal
 */
export declare class AssetValidator {
    /**
     * The set of "known" asset versions. When encountering a version
     * that is not in this list, a warning will be created.
     */
    static knownAssetVersions: string[];
    /**
     * Performs the validation to ensure that the given object is a
     * valid `asset` object.
     *
     * @param asset - The object to validate
     * @param context - The `ValidationContext` that any issues will be added to
     * @returns Whether the object was valid
     */
    static validateAsset(asset: Asset, context: ValidationContext): boolean;
}
//# sourceMappingURL=AssetValidator.d.ts.map