import { ValidationContext } from "./ValidationContext";
import { TileImplicitTiling } from "../structure/TileImplicitTiling";
/**
 * A class for validations related to `implicitTiling` objects.
 *
 * @internal
 */
export declare class ImplicitTilingValidator {
    /**
     * The valid values for the `subdivisionScheme` property
     */
    static allSubdivisionSchemes: string[];
    /**
     * Performs the validation to ensure that the given object is a
     * valid `implicitTiling` object.
     *
     * @param path - The path for `ValidationIssue` objects
     * @param implicitTiling - The object to validate
     * @param context - The `ValidationContext` that any issues will be added to
     * @returns Whether the object was valid
     */
    static validateImplicitTiling(path: string, implicitTiling: TileImplicitTiling, context: ValidationContext): boolean;
}
//# sourceMappingURL=ImplicitTilingValidator.d.ts.map