import { ValidationContext } from "./ValidationContext";
import { Properties } from "../structure/Properties";
/**
 * A class for validations related to `tileset.properties` objects. Aplogies
 * for the confusing name...
 *
 * @internal
 */
export declare class PropertiesValidator {
    /**
     * Performs the validation to ensure that the given object is a
     * valid `tileset.properties` object.
     *
     * @param properties - The object to validate
     * @param context - The `ValidationContext` that any issues will be added to
     * @returns Whether the object was valid
     */
    static validateProperties(properties: Properties, context: ValidationContext): boolean;
}
//# sourceMappingURL=PropertiesValidator.d.ts.map