import { ValidationContext } from "./ValidationContext";
/**
 * A class for validations related to `tile.transform` objects.
 *
 * @internal
 */
export declare class TransformValidator {
    private static readonly scratchMatrix4;
    /**
     * Performs the validation to ensure that the given object is a
     * valid `transform` object.
     *
     * @param path - The path for `ValidationIssue` instances
     * @param transform - The object to validate
     * @param context - The `ValidationContext` that any issues will be added to
     */
    static validateTransform(path: string, transform: number[], context: ValidationContext): boolean;
}
//# sourceMappingURL=TransformValidator.d.ts.map