"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationIssueSeverity = void 0;
/**
 * An enumeration of different severity levels for a
 * `ValidationIssue`
 *
 * @beta
 */
var ValidationIssueSeverity;
(function (ValidationIssueSeverity) {
    /**
     * An error, indicating that the validation failed
     */
    ValidationIssueSeverity["ERROR"] = "ERROR";
    /**
     * A warning, indicating that validation passed, but
     * the input might cause unexpected or undesired
     * behavior in clients.
     */
    ValidationIssueSeverity["WARNING"] = "WARNING";
    /**
     * An information that does not affect the validity.
     * This may affect the runtime behavior of specific
     * client applications.
     */
    ValidationIssueSeverity["INFO"] = "INFO";
})(ValidationIssueSeverity = exports.ValidationIssueSeverity || (exports.ValidationIssueSeverity = {}));
