"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationOptions = void 0;
/**
 * A class describing the options for a validator within
 * a `ValidationContext`
 *
 * TODO This is preliminary. The exact options will have to
 * be sorted out as we go. For example, there could be flags
 * - validateExternalResources
 * - validateAbsoluteUris...?
 * - validateContent
 * - validateContenTypes = [GLB, B3DM]
 * - validateExternalTilesets
 * - validateExternalSchema
 * - ...
 * The check at the call site could and should HIDE most of
 * these, and boil down to `options.shouldValidate(uri)`.
 */
class ValidationOptions {
    constructor() {
        this._validateContentData = true;
    }
    get validateContentData() {
        return this._validateContentData;
    }
    set validateContentData(value) {
        this._validateContentData = value;
    }
}
exports.ValidationOptions = ValidationOptions;
