import { ValidationContext } from "./../ValidationContext";
import { PropertyTableProperty } from "../../structure/PropertyTableProperty";
import { ClassProperty } from "../../structure/Metadata/ClassProperty";
/**
 * A class for validations related to `propertyTable.property` objects.
 *
 * @internal
 */
export declare class PropertyTablePropertyValidator {
    /**
     * Performs the validation to ensure that the given object is a
     * valid `propertyTable.property` object.
     *
     * @param path - The path for the `ValidationIssue` instances
     * @param propertyName - The name of the property
     * @param propertyTableProperty - The object to validate
     * @param numBufferViews - The number of buffer views that are available
     * @param classProperty - The `ClassProperty` definition from the schema
     * @param context - The `ValidationContext` that any issues will be added to
     * @returns Whether the object was valid
     */
    static validatePropertyTableProperty(path: string, propertyName: string, propertyTableProperty: PropertyTableProperty, numBufferViews: number, classProperty: ClassProperty, context: ValidationContext): boolean;
}
//# sourceMappingURL=PropertyTablePropertyValidator.d.ts.map