import { ValidationContext } from "./../ValidationContext";
import { Schema } from "../../structure/Metadata/Schema";
import { PropertyTable } from "../../structure/PropertyTable";
/**
 * A class for validations related to `propertyTable` objects.
 *
 * This class performs the basic JSON-level validation of the
 * property table. The validation of binary data is done with
 * the BinaryPropertyTableValidator.
 *
 * @internal
 */
export declare class PropertyTableValidator {
    /**
     * Performs the validation to ensure that the given object is a
     * valid `propertyTable` object.
     *
     * @param path - The path for the `ValidationIssue` instances
     * @param propertyTable - The object to validate
     * @param numBufferViews - The number of buffer views that are available
     * @param schema - The `Schema` object
     * @param context - The `ValidationContext` that any issues will be added to
     * @returns Whether the object was valid
     */
    static validatePropertyTable(path: string, propertyTable: PropertyTable, numBufferViews: number, schema: Schema, context: ValidationContext): boolean;
}
//# sourceMappingURL=PropertyTableValidator.d.ts.map